## libqaccessibilityclient 0+git20130108

=== CMakeLists.txt ===
project(QAccessibilityClient)

set(QACCESSIBILITYCLIENT_VERSION_MAJOR 0)
set(QACCESSIBILITYCLIENT_VERSION_MINOR 1)
set(QACCESSIBILITYCLIENT_VERSION_PATCH 0)
set(QACCESSIBILITYCLIENT_VERSION ${QACCESSIBILITYCLIENT_VERSION_MAJOR}.${QACCESSIBILITYCLIENT_VERSION_MINOR}.${QACCESSIBILITYCLIENT_VERSION_PATCH})

# minimum required cmake is 2.8.6 for automoc-support
cmake_minimum_required(VERSION 2.8.6)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(CMAKE_AUTOMOC TRUE)

# override the KDE defaults and build tests unless explicitly disabled
option(KDE4_BUILD_TESTS  "Build the tests" ON)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
)

find_package(Qt5Widgets QUIET)
find_package(Qt5DBus QUIET)


if (${Qt5Widgets_FOUND} AND ${Qt5DBus_FOUND})
    set(QT5_BUILD True)
endif (${Qt5Widgets_FOUND} AND ${Qt5DBus_FOUND})

if (QT5_BUILD)
    message("Using Qt 5")
    add_definitions(${Qt5Core_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
    include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
else (QT5_BUILD)
    find_package(Qt4 REQUIRED)
    if (${QT4_FOUND})
        message("Using Qt 4")
        include(${QT_USE_FILE})
        add_definitions(${QT_DEFINITIONS})
        include_directories(${QT4_INCLUDES} ${QT_INCLUDE_DIR} ${QT_QT_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR})
    endif (${QT4_FOUND})
endif (QT5_BUILD)


set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

if (WIN32)
   set(EXEC_INSTALL_PREFIX  "")
   set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
   set(BIN_INSTALL_DIR "bin")
   set(INCLUDE_INSTALL_DIR  "include")
else (WIN32)
   if(APPLE)
      set(BUNDLE_INSTALL_DIR "/Applications/KDE4" CACHE PATH "Directory where application bundles will be installed to on OSX" )
   endif(APPLE)
   set(EXEC_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
   set(BIN_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/bin")
   set(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
   set(INCLUDE_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/include")
endif (WIN32)

set(_QAccessibilityClient_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME}")

set(INSTALL_TARGETS_DEFAULT_ARGS  RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                  ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )
if(APPLE)
   set(INSTALL_TARGETS_DEFAULT_ARGS  ${INSTALL_TARGETS_DEFAULT_ARGS}
                               BUNDLE DESTINATION "${BUNDLE_INSTALL_DIR}" )
endif(APPLE)

add_subdirectory(src)
add_subdirectory(tests)

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else()
      set(${out} "\${CMAKE_INSTALL_PREFIX}/${in}")
   endif()
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

make_install_path_absolute(QACCESSIBILITYCLIENT_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(QACCESSIBILITYCLIENT_LIB_DIR     ${LIB_INSTALL_DIR})

configure_file( "${QAccessibilityClient_SOURCE_DIR}/QAccessibilityClientConfig.cmake.in" "${QAccessibilityClient_BINARY_DIR}/QAccessibilityClientConfig.cmake" @ONLY )
install( FILES
         "${QAccessibilityClient_BINARY_DIR}/QAccessibilityClientConfig.cmake"
         DESTINATION "${_QAccessibilityClient_CONFIG_DEST}" )

=== debian/changelog ===
libqaccessibilityclient (0+git20130108-0ubuntu3) raring; urgency=low

  * Update symbols file for powerpc as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Jan 2013 14:29:59 -0700

libqaccessibilityclient (0+git20130108-0ubuntu2) raring; urgency=low

  * Update .symbols file for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 12:40:07 +0000

libqaccessibilityclient (0+git20130108-0ubuntu1) raring; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jan 2013 15:34:31 +0000

## libqaccessibilityclient 0+git20140203

=== examples/CMakeLists.txt ===
add_subdirectory(accessibleapps)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQACCESSIBILITYCLIENT_LIBRARY)

set(QAccessibilityClient_SRCS
    qaccessibilityclient/accessibleobject_p.cpp
    qaccessibilityclient/accessibleobject.cpp
    qaccessibilityclient/registry.cpp
    qaccessibilityclient/registry_p.cpp
)

set(QAccessibilityClientPrivate_SRCS
    atspi/dbusconnection.cpp
    atspi/qt-atspi.cpp
)

add_library(qaccessibilityclient SHARED ${QAccessibilityClient_SRCS} ${QAccessibilityClientPrivate_SRCS})

if (QT5_BUILD)
    target_link_libraries(qaccessibilityclient ${Qt5Core_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5DBus_LIBRARIES})
else (QT5_BUILD)
    target_link_libraries(qaccessibilityclient ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
endif(QT5_BUILD)

set(QACCESSIBILITYCLIENT_SOVERSION ${QACCESSIBILITYCLIENT_VERSION_MAJOR})
set_target_properties(qaccessibilityclient
    PROPERTIES VERSION ${QACCESSIBILITYCLIENT_VERSION}
    SOVERSION ${QACCESSIBILITYCLIENT_SOVERSION}
)


install(TARGETS qaccessibilityclient EXPORT QAccessibilityClient ${INSTALL_TARGETS_DEFAULT_ARGS})
install(EXPORT QAccessibilityClient DESTINATION ${_QAccessibilityClient_CONFIG_DEST})

########### install files ###############

install(FILES
    qaccessibilityclient/qaccessibilityclient_export.h
    qaccessibilityclient/accessibleobject.h
    qaccessibilityclient/registry.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/qaccessibilityclient COMPONENT Devel
)

=== examples/accessibleapps/CMakeLists.txt ===
project(accessibleapps)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")

if (QT5_BUILD)
    add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
endif (QT5_BUILD)

include_directories(
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

#To find the installed library:
#set(LibKdeAccessibilityClient_DIR /usr/local/lib/cmake/)
#find_package(LibKdeAccessibilityClient REQUIRED)

#Instead we just use the one in the build directory since that's what we want to test.

set(accessibleapps_SRCS
    main.cpp
    mainwindow.cpp
    accessibletree.cpp
    accessibleproperties.cpp
    clientcachedialog.cpp
    eventview.cpp
    uiview.cpp
)

set(accessibleapps_UIS
    eventview.ui
)

if (QT5_BUILD)
    qt5_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
else (QT5_BUILD)
    qt4_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
endif (QT5_BUILD)

add_executable(accessibleapps ${accessibleapps_SRCS} ${accessibleapps_MOC} ${accessibleapps_UI_HDRS})
target_link_libraries(accessibleapps ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} qaccessibilityclient)

install(TARGETS accessibleapps DESTINATION bin)

=== debian/changelog ===
libqaccessibilityclient (0+git20140203-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 14:48:00 +0000

libqaccessibilityclient (0+git20140203-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot
    - Update symbols files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 03 Feb 2014 17:17:37 +0100

=== debian/control ===
Source: libqaccessibilityclient
Priority: extra
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), pkg-kde-tools, cmake, libqt4-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient

Package: libqaccessibilityclient-dev
Section: libdevel
Architecture: any
Depends: libqaccessibilityclient0 (= ${binary:Version}), ${misc:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with pkgkde_symbolshelper

## libqaccessibilityclient 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
 
 add_subdirectory(src)
 add_subdirectory(tests)
+add_subdirectory(examples)
 
 # we need the absolute directories where stuff will be installed too
 # but since the variables which contain the destinations can be relative

=== debian/changelog ===
libqaccessibilityclient (0.1.1-5) unstable; urgency=medium

  * Team upload.
  * Hide the symbols by default; public symbols are marked as such already.
    This should reduce the number of exported symbols, and thus our symbols
    file can be simplified a bit.
  * Add Build-Depends-Package in symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Aug 2016 22:47:07 +0200

libqaccessibilityclient (0.1.1-4) unstable; urgency=medium

  * Team upload.
  * Update symbols file. (Closes: #827152, #827153)

 -- Pino Toscano <pino@debian.org>  Sun, 21 Aug 2016 18:20:54 +0200

libqaccessibilityclient (0.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file.
  * Backport upstream commit 1e1c469597e0e692caea11c89f6da831ad2410b3 to
    add missing linking to QtGui; patch upstream_qt4-link-to-QtGui.patch.
  * Small touches to descriptions.
  * Enable parallel build.

 -- Pino Toscano <pino@debian.org>  Tue, 31 May 2016 07:43:56 +0200

libqaccessibilityclient (0.1.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * Drop XS-Testsuite field, no longer needed
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (0.1.1-1).
  * Update symbols files.
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 May 2016 19:07:45 +0200

libqaccessibilityclient (0.1.1-1) experimental; urgency=medium

  * Initial release.
  * New patch: libdir.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:20:05 +0100

=== debian/control ===
Source: libqaccessibilityclient
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.6~), debhelper (>= 9), libqt4-dev, pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/libqaccessibilityclient.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/libqaccessibilityclient.git

Package: libqaccessibilityclient-dev
Section: libdevel
Architecture: any
Depends: libqaccessibilityclient0 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends}
Description: helper to make writing accessibility tools easier -- development
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# hide private (not exported) symbols
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3

http://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.(?:xz|bz2)

## libqaccessibilityclient 0.2.0

=== debian/changelog ===
libqaccessibilityclient (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Move the acc file from libqaccessibilityclient-qt5-0 to
    libqaccessibilityclient-qt5-dev, and make it work.
  * Bump Standards-Version to 4.2.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Aug 2018 07:07:39 +0200

libqaccessibilityclient (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Make libqaccessibilityclient-qt5-dev break/replace the old
    libqaccessibilityclient-dev, since they have files in common.
  * Add the allow-stderr restriction to the 'acc' autopkgtest, since it is how
    acc works.
  * Mark libqaccessibilityclient-qt5-dev as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Aug 2018 07:26:03 +0200

libqaccessibilityclient (0.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update vcs and homepage fields

  [ Pino Toscano ]
  * New upstream release.
  * Switch watch file to use "unstable" releases, even if the latest looks
    stable.
  * Build with Qt5 instead of Qt4: (Closes: #875035)
    - switch libqt4-dev build & runtime dependency to qtbase5-dev
    - adapt the names of the binaries to the new library name:
      - libqaccessibilityclient0 -> libqaccessibilityclient-qt5-0
      - libqaccessibilityclient-dev -> libqaccessibilityclient-qt5-dev
    - update install files
    - update symbols file
  * Update the patches:
    - upstream_qt4-link-to-QtGui.patch: drop, backported from upstream
  * Backport upstream commit f5a27fab1eda69c6cca24463868262f487977aac to fix
    the destructor of an internal class; patch
    upstream_Add-missing-virtual-destructor.patch.
  * Backport upstream commit 34f6084ff3ba1dd025cae17e5d114caff1d7fa6f to fix
    build with newer versions of GCC/Clang; patch
    upstream_Compile-with-clang-and-make-sure-qHash-works-with-Ac.patch.
    (Closes: #897792)
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 23:04:19 +0200

=== debian/control ===
Source: libqaccessibilityclient
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.6~), debhelper (>= 11~), pkg-kde-tools,
 qtbase5-dev,
Standards-Version: 4.2.0
Homepage: https://phabricator.kde.org/source/libqaccessibilityclient
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git

Package: libqaccessibilityclient-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqaccessibilityclient-qt5-0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Breaks: libqaccessibilityclient-dev (<< 0.2.0~)
Replaces: libqaccessibilityclient-dev (<< 0.2.0~)
Description: helper to make writing accessibility tools easier -- development
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient-qt5-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the shared library.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=3

https://download.kde.org/unstable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.xz

## libqaccessibilityclient 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,21 @@
-project(QAccessibilityClient)
+cmake_minimum_required(VERSION 3.0.0)
 
-set(QACCESSIBILITYCLIENT_VERSION_MAJOR 0)
-set(QACCESSIBILITYCLIENT_VERSION_MINOR 1)
-set(QACCESSIBILITYCLIENT_VERSION_PATCH 0)
-set(QACCESSIBILITYCLIENT_VERSION ${QACCESSIBILITYCLIENT_VERSION_MAJOR}.${QACCESSIBILITYCLIENT_VERSION_MINOR}.${QACCESSIBILITYCLIENT_VERSION_PATCH})
+include(FeatureSummary)
+find_package(ECM REQUIRED NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(ECMSetupVersion)
+
+cmake_policy(SET CMP0048 NEW)
+project(QAccessibilityClient VERSION "0.3.0")
+
+ecm_setup_version(${PROJECT_VERSION}
+    VARIABLE_PREFIX QACCESSIBILITYCLIENT
+    SOVERSION ${PROJECT_VERSION_MAJOR}
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/libqaccessibilityclient-version.h"
+)
 
 # minimum required cmake is 2.8.6 for automoc-support
 cmake_minimum_required(VERSION 2.8.6)
@@ -12,8 +24,7 @@
 
 set(CMAKE_AUTOMOC TRUE)
 
-# override the KDE defaults and build tests unless explicitly disabled
-option(KDE4_BUILD_TESTS  "Build the tests" ON)
+enable_testing()
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
@@ -22,32 +33,19 @@
 
 find_package(Qt5Widgets QUIET)
 find_package(Qt5DBus QUIET)
+find_package(Qt5Test QUIET)
+set(BUILD_TESTS ${Qt5Test_FOUND})
 
+add_definitions(${Qt5Core_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
+include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
 
-if (${Qt5Widgets_FOUND} AND ${Qt5DBus_FOUND})
-    set(QT5_BUILD True)
-endif (${Qt5Widgets_FOUND} AND ${Qt5DBus_FOUND})
-
-if (QT5_BUILD)
-    message("Using Qt 5")
-    add_definitions(${Qt5Core_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
-    include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
-else (QT5_BUILD)
-    find_package(Qt4 REQUIRED)
-    if (${QT4_FOUND})
-        message("Using Qt 4")
-        include(${QT_USE_FILE})
-        add_definitions(${QT_DEFINITIONS})
-        include_directories(${QT4_INCLUDES} ${QT_INCLUDE_DIR} ${QT_QT_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR})
-    endif (${QT4_FOUND})
-endif (QT5_BUILD)
-
+set(QACCESSIBILITYCLIENT_LIB_NAME "qaccessibilityclient-qt5")
 
 set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
 
 if (WIN32)
    set(EXEC_INSTALL_PREFIX  "")
-   set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
+   set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
    set(BIN_INSTALL_DIR "bin")
    set(INCLUDE_INSTALL_DIR  "include")
 else (WIN32)
@@ -56,7 +54,8 @@
    endif(APPLE)
    set(EXEC_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(BIN_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/bin")
-   set(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+   set(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING
+       "Directory where lib will install")
    set(INCLUDE_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/include")
 endif (WIN32)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQACCESSIBILITYCLIENT_LIBRARY)

set(QAccessibilityClient_SRCS
    qaccessibilityclient/accessibleobject_p.cpp
    qaccessibilityclient/accessibleobject.cpp
    qaccessibilityclient/registry.cpp
    qaccessibilityclient/registry_p.cpp
)

set(QAccessibilityClientPrivate_SRCS
    atspi/dbusconnection.cpp
    atspi/qt-atspi.cpp
)

add_library(${QACCESSIBILITYCLIENT_LIB_NAME} SHARED ${QAccessibilityClient_SRCS} ${QAccessibilityClientPrivate_SRCS})
target_link_libraries(${QACCESSIBILITYCLIENT_LIB_NAME} ${Qt5Core_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5DBus_LIBRARIES})

set_target_properties(${QACCESSIBILITYCLIENT_LIB_NAME}
    PROPERTIES VERSION ${PROJECT_VERSION}
    SOVERSION ${QACCESSIBILITYCLIENT_SOVERSION}
)


install(TARGETS ${QACCESSIBILITYCLIENT_LIB_NAME} EXPORT QAccessibilityClient ${INSTALL_TARGETS_DEFAULT_ARGS})
install(EXPORT QAccessibilityClient DESTINATION ${_QAccessibilityClient_CONFIG_DEST})

########### install files ###############

install(FILES
    qaccessibilityclient/qaccessibilityclient_export.h
    qaccessibilityclient/accessibleobject.h
    qaccessibilityclient/registry.h
    ${CMAKE_CURRENT_BINARY_DIR}/libqaccessibilityclient-version.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/qaccessibilityclient COMPONENT Devel
)

=== examples/accessibleapps/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,8 @@
-project(accessibleapps)
+cmake_policy(SET CMP0048 NEW)
+project(accessibleapps VERSION "")
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")
-
-if (QT5_BUILD)
-    add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
-endif (QT5_BUILD)
+add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
 
 include_directories(
     ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
@@ -32,13 +30,10 @@
     eventview.ui
 )
 
-if (QT5_BUILD)
-    qt5_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
-else (QT5_BUILD)
-    qt4_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
-endif (QT5_BUILD)
+qt5_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
 
 add_executable(accessibleapps ${accessibleapps_SRCS} ${accessibleapps_MOC} ${accessibleapps_UI_HDRS})
-target_link_libraries(accessibleapps ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} qaccessibilityclient)
+
+target_link_libraries(accessibleapps ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})
 
 install(TARGETS accessibleapps DESTINATION bin)

=== examples/dumper/CMakeLists.txt ===
cmake_policy(SET CMP0048 NEW)
project(dumper VERSION "")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")
add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})

include_directories(
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

#To find the installed library:
#set(LibKdeAccessibilityClient_DIR /usr/local/lib/cmake/)
#find_package(LibKdeAccessibilityClient REQUIRED)

#Instead we just use the one in the build directory since that's what we want to test.

set(accessibleapps_SRCS
    main.cpp
    dumper.cpp
)

set(accessibleapps_UIS
)

qt5_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})

add_executable(dumper ${accessibleapps_SRCS} ${accessibleapps_MOC} ${accessibleapps_UI_HDRS})

target_link_libraries(dumper ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})

install(TARGETS dumper DESTINATION bin)

=== tests/auto/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

find_package(Qt5Test QUIET)
add_definitions(${Qt5Core_DEFINITIONS} ${Qt5DBus_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5Test_DEFINITIONS})
include_directories(${Qt5Widgets_INCLUDE_DIRS} ${Qt5Test_INCLUDE_DIRS})
add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
set(CMAKE_CXX_FLAGS ${Qt5Core_EXECUTABLE_COMPILE_FLAGS})

# The unittest app
set(tst_accessibilityclient_SRCS
    tst_accessibilityclient.cpp
    ${CMAKE_SOURCE_DIR}/src/atspi/dbusconnection.cpp
)
add_executable(tst_accessibilityclient ${tst_accessibilityclient_SRCS})

target_link_libraries(tst_accessibilityclient ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})

add_test(libkdeaccessibilityclient-tst_accessibilityclient tst_accessibilityclient)

# A test app that can run in a QProcess
set(simplewidgetapp_SRCS
    simple/simplewidgetapp.cpp
)
add_executable(simplewidgetapp ${simplewidgetapp_SRCS})

target_link_libraries(simplewidgetapp ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})

=== debian/changelog ===
libqaccessibilityclient (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to use "stable" releases, now that there are again.
  * Update the patches:
    - libdir.diff: drop, fixed upstream
    - upstream_Add-missing-virtual-destructor.patch: drop, backported from
      upstream
    - upstream_Compile-with-clang-and-make-sure-qHash-works-with-Ac.patch:
      drop, backported from upstream
  * Add the new required extra-cmake-modules build dependency.
  * Install README.md as documentation instead of README.
  * Disable the test suite, since it needs D-Bus & AT-SPI.
  * Update symbols file.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Nov 2018 22:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.6~), debhelper (>= 11~), pkg-kde-tools,
  qtbase5-dev,
-Standards-Version: 4.2.0
+ extra-cmake-modules,
+Standards-Version: 4.2.1
 Homepage: https://phabricator.kde.org/source/libqaccessibilityclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git

## libqaccessibilityclient 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(QAccessibilityClient VERSION "0.4.1")

include(FeatureSummary)
find_package(ECM "5.18.0" REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX QACCESSIBILITYCLIENT
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QAccessibilityClientConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/libqaccessibilityclient-version.h"
)

add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)

if(BUILD_TESTING)
    enable_testing()
    set(QT_OTHER_COMPONENTS Test)
endif()

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
)

set(QT_MIN_VERSION "5.6.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    DBus
    ${QT_OTHER_COMPONENTS}
)

set(QACCESSIBILITYCLIENT_LIB_NAME "qaccessibilityclient-qt5")

set(_QAccessibilityClient_CONFIG_DEST "${KDE_INSTALL_CMAKEPACKAGEDIR}/${PROJECT_NAME}")

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QAccessibilityClientConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QAccessibilityClientConfig.cmake"
    INSTALL_DESTINATION  ${_QAccessibilityClient_CONFIG_DEST}
)

install( FILES
         "${QAccessibilityClient_BINARY_DIR}/QAccessibilityClientConfig.cmake"
         "${QAccessibilityClient_BINARY_DIR}/QAccessibilityClientConfigVersion.cmake"
         DESTINATION "${_QAccessibilityClient_CONFIG_DEST}" )

feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
add_subdirectory(accessibleapps)
add_subdirectory(dumper)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQACCESSIBILITYCLIENT_LIBRARY)

set(QAccessibilityClient_SRCS
    qaccessibilityclient/accessibleobject_p.cpp
    qaccessibilityclient/accessibleobject.cpp
    qaccessibilityclient/registry.cpp
    qaccessibilityclient/registry_p.cpp
)

set(QAccessibilityClientPrivate_SRCS
    atspi/dbusconnection.cpp
    atspi/qt-atspi.cpp
)

add_library(${QACCESSIBILITYCLIENT_LIB_NAME} SHARED ${QAccessibilityClient_SRCS} ${QAccessibilityClientPrivate_SRCS})
target_link_libraries(${QACCESSIBILITYCLIENT_LIB_NAME}
    PUBLIC
        Qt5::Widgets
        Qt5::Core
    PRIVATE
        Qt5::DBus
)

set_target_properties(${QACCESSIBILITYCLIENT_LIB_NAME}
    PROPERTIES VERSION ${PROJECT_VERSION}
    SOVERSION ${QACCESSIBILITYCLIENT_SOVERSION}
)
target_include_directories(${QACCESSIBILITYCLIENT_LIB_NAME} INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>" )


install(TARGETS ${QACCESSIBILITYCLIENT_LIB_NAME} EXPORT QAccessibilityClient ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(EXPORT QAccessibilityClient DESTINATION ${_QAccessibilityClient_CONFIG_DEST})

########### install files ###############

install(FILES
    qaccessibilityclient/qaccessibilityclient_export.h
    qaccessibilityclient/accessibleobject.h
    qaccessibilityclient/registry.h
    ${CMAKE_CURRENT_BINARY_DIR}/libqaccessibilityclient-version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/qaccessibilityclient COMPONENT Devel
)

=== examples/accessibleapps/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 project(accessibleapps VERSION "")
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")
-add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
 
 include_directories(
     ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
@@ -34,6 +33,9 @@
 
 add_executable(accessibleapps ${accessibleapps_SRCS} ${accessibleapps_MOC} ${accessibleapps_UI_HDRS})
 
-target_link_libraries(accessibleapps ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})
+target_link_libraries(accessibleapps
+    Qt5::Widgets
+    ${QACCESSIBILITYCLIENT_LIB_NAME}
+)
 
 install(TARGETS accessibleapps DESTINATION bin)

=== examples/dumper/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 project(dumper VERSION "")
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")
-add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
 
 include_directories(
     ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
@@ -28,6 +27,9 @@
 
 add_executable(dumper ${accessibleapps_SRCS} ${accessibleapps_MOC} ${accessibleapps_UI_HDRS})
 
-target_link_libraries(dumper ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})
+target_link_libraries(dumper
+    Qt5::Widgets
+    ${QACCESSIBILITYCLIENT_LIB_NAME}
+)
 
 install(TARGETS dumper DESTINATION bin)

=== tests/auto/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
)

# The unittest app
set(tst_accessibilityclient_SRCS
    tst_accessibilityclient.cpp
    ${CMAKE_SOURCE_DIR}/src/atspi/dbusconnection.cpp
)
add_executable(tst_accessibilityclient ${tst_accessibilityclient_SRCS})

target_link_libraries(tst_accessibilityclient
    Qt5::Widgets
    Qt5::DBus
    Qt5::Test
    ${QACCESSIBILITYCLIENT_LIB_NAME}
)

add_test(NAME libkdeaccessibilityclient-tst_accessibilityclient COMMAND tst_accessibilityclient)

# A test app that can run in a QProcess
set(simplewidgetapp_SRCS
    simple/simplewidgetapp.cpp
)
add_executable(simplewidgetapp ${simplewidgetapp_SRCS})

target_link_libraries(simplewidgetapp
    Qt5::Widgets
    Qt5::Test
    ${QACCESSIBILITYCLIENT_LIB_NAME}
)

=== debian/changelog ===
libqaccessibilityclient (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop specifying LIB_INSTALL_DIR for cmake, as ECM already does that.
  * Disable the build of tests and example (passing -DBUILD_TESTING=OFF to
    cmake), as they are not run anyway
    - drop debian/not-installed, no more needed now
  * Drop the unused 'testsuite' autopkgtest.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.6~), debhelper (>= 11~), pkg-kde-tools,
  qtbase5-dev,
  extra-cmake-modules,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://phabricator.kde.org/source/libqaccessibilityclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git

=== debian/watch ===
version=3

https://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.xz

## libqaccessibilityclient 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

project(QAccessibilityClient VERSION "0.6.0")

include(FeatureSummary)
set(KF5_MIN_VERSION "5.91.0")
set(REQUIRED_QT_VERSION "5.15.2")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://api.kde.org/frameworks/extra-cmake-modules/html/index.html")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)

if(BUILD_TESTING)
    enable_testing()
    set(QT_OTHER_COMPONENTS Test)
endif()

if (QT_MAJOR_VERSION STREQUAL "6")
    set(REQUIRED_QT_VERSION "6.5.0")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    DBus
    ${QT_OTHER_COMPONENTS}
)

if (QT_MAJOR_VERSION STREQUAL "6")
    ecm_set_disabled_deprecation_versions(
        QT 6.6
    )
else()
    ecm_set_disabled_deprecation_versions(
        QT 5.15.2
    )
endif()

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()

ecm_qt_install_logging_categories(
        EXPORT LIBQACCESSIBILITYCLIENT
        FILE libqaccessibilityclient.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
add_subdirectory(dumper)

=== src/CMakeLists.txt ===
if (QT_MAJOR_VERSION STREQUAL "5")
    set(QACCESSIBILITYCLIENT_LIB_NAME "qaccessibilityclient-qt5")
    set(QACCESSIBILITYCLIENT_CMAKECONFIG_NAME "QAccessibilityClient")
    set(QACCESSIBILITYCLIENT_CMAKECONFIG_TARGETS_FILENAME "QAccessibilityClient")
    set(QACCESSIBILITYCLIENT_TARGET_EXPORT_NAME "qaccessibilityclient-qt5")
    set(QACCESSIBILITYCLIENT_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/QAccessibilityClient")
else()
    set(QACCESSIBILITYCLIENT_LIB_NAME "qaccessibilityclient-qt6")
    set(QACCESSIBILITYCLIENT_CMAKECONFIG_NAME "QAccessibilityClient6")
    set(QACCESSIBILITYCLIENT_CMAKECONFIG_TARGETS_FILENAME "QAccessibilityClient6Targets")
    set(QACCESSIBILITYCLIENT_TARGET_EXPORT_NAME "QAccessibilityClient6")
    set(QACCESSIBILITYCLIENT_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/QAccessibilityClient6")
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQACCESSIBILITYCLIENT_LIBRARY)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX QACCESSIBILITYCLIENT
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${QACCESSIBILITYCLIENT_CMAKECONFIG_NAME}ConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libqaccessibilityclient-version.h"
)

add_library(QAccessibilityClient SHARED)

ecm_qt_declare_logging_category(QAccessibilityClient HEADER qaccessibilityclient_debug.h IDENTIFIER LIBQACCESSIBILITYCLIENT_LOG
    CATEGORY_NAME org.kde.qaccessibilityclient DESCRIPTION "QAccessibilityClient" EXPORT LIBQACCESSIBILITYCLIENT)

set_target_properties(QAccessibilityClient PROPERTIES
    OUTPUT_NAME ${QACCESSIBILITYCLIENT_LIB_NAME}
    EXPORT_NAME ${QACCESSIBILITYCLIENT_TARGET_EXPORT_NAME}
    VERSION   ${QACCESSIBILITYCLIENT_VERSION}
    SOVERSION ${QACCESSIBILITYCLIENT_SOVERSION}
)

target_sources(QAccessibilityClient PRIVATE
    qaccessibilityclient/accessibleobject_p.cpp
    qaccessibilityclient/accessibleobject_p.h
    qaccessibilityclient/accessibleobject.cpp
    qaccessibilityclient/accessibleobject.h
    qaccessibilityclient/registry.cpp
    qaccessibilityclient/registry.h
    qaccessibilityclient/registry_p.cpp
    qaccessibilityclient/registry_p.h
    qaccessibilityclient/registrycache.cpp
    qaccessibilityclient/registrycache_p.h

    atspi/dbusconnection.cpp
    atspi/dbusconnection.h
    atspi/qt-atspi.cpp
    atspi/qt-atspi.h
)

if (QT_MAJOR_VERSION STREQUAL "5")
    set(_generate_export_header_version_args)
else()
    # For Qt6/KF6 world transitively include the version header
    if(ECM_VERSION VERSION_LESS "5.106")
        set(include_version_header_code "#include \"libqaccessibilityclient-version.h\"\n")
        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
    else()
        set(_generate_export_header_version_args USE_VERSION_HEADER "\"libqaccessibilityclient-version.h\"")
    endif()
endif()

ecm_generate_export_header(QAccessibilityClient
    BASE_NAME qaccessibilityclient
    VERSION ${QACCESSIBILITYCLIENT_VERSION}
    DEPRECATED_BASE_VERSION 0
    ${_generate_export_header_version_args}
)

target_link_libraries(QAccessibilityClient
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Widgets
        Qt${QT_MAJOR_VERSION}::Core
    PRIVATE
        Qt${QT_MAJOR_VERSION}::DBus
)

target_include_directories(QAccessibilityClient
    INTERFACE "$<INSTALL_INTERFACE:${QACCESSIBILITYCLIENT_INSTALL_INCLUDEDIR}>"
)


install(TARGETS QAccessibilityClient EXPORT QAccessibilityClient ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/qaccessibilityclient_export.h
    qaccessibilityclient/accessibleobject.h
    qaccessibilityclient/registry.h
    qaccessibilityclient/registrycache_p.h
    ${CMAKE_CURRENT_BINARY_DIR}/libqaccessibilityclient-version.h
    DESTINATION ${QACCESSIBILITYCLIENT_INSTALL_INCLUDEDIR}/qaccessibilityclient
    COMPONENT Devel
)

set(_QAccessibilityClient_CONFIG_DEST "${KDE_INSTALL_CMAKEPACKAGEDIR}/${QACCESSIBILITYCLIENT_CMAKECONFIG_NAME}")

install(EXPORT QAccessibilityClient
    FILE ${QACCESSIBILITYCLIENT_CMAKECONFIG_TARGETS_FILENAME}.cmake
    DESTINATION ${_QAccessibilityClient_CONFIG_DEST}
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QAccessibilityClientConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${QACCESSIBILITYCLIENT_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION  ${_QAccessibilityClient_CONFIG_DEST}
)

install( FILES
         "${CMAKE_CURRENT_BINARY_DIR}/${QACCESSIBILITYCLIENT_CMAKECONFIG_NAME}Config.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/${QACCESSIBILITYCLIENT_CMAKECONFIG_NAME}ConfigVersion.cmake"
         DESTINATION "${_QAccessibilityClient_CONFIG_DEST}" )

=== examples/dumper/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

project(dumper)

#To find the installed library:
#set(LibKdeAccessibilityClient_DIR /usr/local/lib/cmake/)
#find_package(LibKdeAccessibilityClient REQUIRED)

#Instead we just use the one in the build directory since that's what we want to test.

add_executable(dumper)

target_sources(dumper PRIVATE
    main.cpp
    dumper.cpp
    dumper.h
)

target_link_libraries(dumper
    QAccessibilityClient
    Qt${QT_MAJOR_VERSION}::Widgets
)

install(TARGETS dumper DESTINATION bin)

=== tests/auto/CMakeLists.txt ===
# The unittest app
add_executable(tst_accessibilityclient)

target_sources(tst_accessibilityclient PRIVATE
    tst_accessibilityclient.cpp
    ${CMAKE_SOURCE_DIR}/src/atspi/dbusconnection.cpp
)

target_link_libraries(tst_accessibilityclient
    QAccessibilityClient
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::DBus
    Qt${QT_MAJOR_VERSION}::Test
)

add_test(NAME libkdeaccessibilityclient-tst_accessibilityclient COMMAND tst_accessibilityclient)

# A test app that can run in a QProcess
add_executable(simplewidgetapp)

target_sources(simplewidgetapp PRIVATE
    simple/simplewidgetapp.cpp
)

target_link_libraries(simplewidgetapp
    QAccessibilityClient
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Test
)

=== debian/changelog ===
libqaccessibilityclient (0.6.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * The Qt 5 packages are no more needed, so:
    - drop the libqaccessibilityclient-qt5-dev, and
      libqaccessibilityclient-qt5-0 binaries
    - drop the qtbase5-dev build dependency
    - drop the double build
    - drop the Qt 5 paths exclusions from the configuration of the 'acc'
      autopkgtest
  * Drop the libxkbcommon-dev build dependency, not actually used.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 18:02:07 +0200

libqaccessibilityclient (0.6.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Restore Qt 5 packages, to ensure to smoother switch for users of this
    library:
    - add back the libqaccessibilityclient-qt5-dev, and
      libqaccessibilityclient-qt5-0 binaries
    - perform two separate builds for Qt 5 and Qt 6 versions
  * Fix the 'acc' autopkgtest:
    - set -std=c++17 for the Qt 6 library, needed when using Qt 6
    - fix the path with headers of the Qt 6 library
    - add some hints to add & exclude include paths, so the Qt 6 headers are
      not used for the Qt 5 library, and viceversa.
  * Drop old breaks/replaces.
  * Stop shipping the README.md file in libqaccessibilityclient-qt5-dev,
    as it does not provide a lot of value.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Aug 2024 07:57:07 +0200

libqaccessibilityclient (0.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Build against Qt 6:
    - New binary packages libqaccessibilityclient-qt6-0 and
      libqaccessibilityclient-qt6-dev.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 22:13:27 +0200

libqaccessibilityclient (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Update install files.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2023 10:56:57 +0100

libqaccessibilityclient (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Bump watch file to v4, no changes required.
  * Update the upstream GPG signing key, pointing the watch file to fetch it.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump extra-cmake-modules to 5.91.0
    - bump Qt packages to 5.15.2
  * Update install files.
  * Update symbols file.
  * Update 'acc' autopkgtest to point to the new directory with headers.
  * Switch all the upstream references to "home" and repository to
    https://invent.kde.org/libraries/libqaccessibilityclient.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Nov 2023 23:44:20 +0100

=== debian/control ===
Source: libqaccessibilityclient
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.91.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/libqaccessibilityclient
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git

Package: libqaccessibilityclient-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqaccessibilityclient-qt6-0 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: helper to make writing accessibility tools easier -- development
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient-qt6-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# hide private (not exported) symbols
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    -DBUILD_TESTING=OFF \
	    -DBUILD_WITH_QT6=ON

# requires D-Bus & AT-SPI
.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.xz
